Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_Input

Input component class.
Contained in: global
Derived from: none
Derived by: none
Group: Display (Input)

#include <ClanLib/display.h>

### public function member index:

### Construction:

``virtual`` | `~CL_Input` | `()`;

### Signals:

``static` `CL_Signal_v2`<`CL_InputDevice`* , `const` `CL_Key`& >&` | `sig_button_press` | `()`;
``static` `CL_Signal_v2`<`CL_InputDevice`* , `const` `CL_Key`& >&` | `sig_button_release` | `()`;
``static` `CL_Signal_v3`<`CL_InputDevice`* , `int`, `int`>&` | `sig_mouse_move` | `()`;

## Description:

CL_Input is the access point to keyboards, joysticks and (mouse) pointers.

## Function Member Descriptions:

CL_Input::sig_button_press - Signal signaled upon button press.
The CL_Key contains coordinates as well as button code.
``static` `CL_Signal_v2`<`CL_InputDevice`* , `const` `CL_Key`& >&` `sig_button_press` `()`;

CL_Input::sig_button_release - Signal signaled upon button release.
The CL_Key contains coordinates as well as button code.
``static` `CL_Signal_v2`<`CL_InputDevice`* , `const` `CL_Key`& >&` `sig_button_release` `()`;

CL_Input::sig_mouse_move - Signal signaled upon mouse move.
Obsolete, please use CL_Mouse::sig_move instead of this signal!
``static` `CL_Signal_v3`<`CL_InputDevice`* , `int`, `int`>&` `sig_mouse_move` `()`;

CL_Input::~CL_Input - Input Destructor
``virtual`` `~CL_Input` `()`;

## Variable Member Descriptions:

CL_Input::joysticks - List of joysticks and gamepads available.
``static` `std::vector`<`CL_InputDevice` *>` ``joysticks`;`

CL_Input::keyboards - List of keyboards available.
``static` `std::vector`<`CL_Keyboard` *>` ``keyboards`;`

CL_Input::pointers - List of mice and digitizers available.
``static` `std::vector`<`CL_InputDevice` *>` ``pointers`;`